在使用中,经常需要对 Benlety 中的对象进行克隆,以下进行总结。
Element 克隆
Bentley.DgnPlatformNET.dll |
Bentley.DgnPlatformNET |
1 2 3 4 5 6 7 8 9 10 11 12
| using (ElementCopyContext cc = new ElementCopyContext(dgnModel)) { cc.WriteElements = false; Element _cloneEle = cc.DoCopy(_el); ElementPropertiesSetter eps = new ElementPropertiesSetter(); eps.SetColor(lineColor); eps.SetWeight(LineWeight); eps.Apply(_cloneEle); _cloneEle.AddToModel(); return _cloneEle; }
|
SolidKernelEntity 克隆
Bentley.DgnDisplayNet.dll |
Bentley.DgnPlatformNET |
1 2
| CopyEntity(out SolidKernelEntity entityOut, SolidKernelEntity entityIn)
|
CurveVector 克隆
调用对象的 Clone()
方法。